<?php
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
@require_once "../../fusion_config.php";
require_once "../../fusion_core.php";
require_once FUSION_BASE."subheader.php";
require_once FUSION_BASE."side_left.php";
include FUSION_LANGUAGES.FUSION_LAN."forum/forum_main.php";

opentable('Unbeantwortete Foren Beitrge');

	// First get all threads without a reply
	$result = dbquery("SELECT count(thread_id), thread_id, forum_id, post_subject, post_author, post_datestamp
					FROM ".$fusion_prefix."posts
					GROUP BY thread_id 
					HAVING count(thread_id) = 1"
				);

	// Only display unanswered threads
	if (dbrows($result) != 0) {

		// Display headings
		echo "<br /><table border='0' cellspacing='0' cellpadding='0' width='100%' class='tbl-border'>
		<tr>
		<td>
		<table border='0' cellspacing='1' cellpadding='0' width='100%'>
		<tr>
		<td class='tbl2'><b>".LAN_401."</b></td>
		<td class='tbl2'><b>".LAN_451."</b></td>
		<td align='center' class='tbl2' width='100'><b>".LAN_452."</b></td>
		<td align='right' class='tbl2' width='120'><b>Datum</b></td></tr>\n";

		// Loop through each thread
		while ($data = dbarray($result)) {

			// Get forum details
			$result2 = dbquery("SELECT forum_name, forum_access, forum_id, forum_cat
								FROM ".$fusion_prefix."forums
								WHERE forum_id='".$data['forum_id']."'"
						);

			$data2 = dbarray($result2);

			// Get forum category details
			$result3 = dbquery("SELECT forum_name
								FROM ".$fusion_prefix."forums
								WHERE forum_id='".$data2['forum_cat']."'"
						);

			$forum_cat = dbresult($result3,0);

			// Check if user has access to this forum
			if (checkgroup($data2['forum_access'])) {

				// Lookup username
				$result3 = dbquery("SELECT user_name FROM ".$fusion_prefix."users WHERE user_id='".$data['post_author']."'");
				$username = dbresult($result3,0);

				// Display threads
				echo "<tr>
				<td class='tbl1'><a href='".FUSION_BASE."fusion_forum/viewforum.php?forum_id=
				".$data2['forum_id']."&forum_cat=".$data2['forum_cat']."'>".$data2['forum_name']." [".$forum_cat."]</a></td>
				<td class='tbl1'><a href='".FUSION_BASE."fusion_forum/viewthread.php?
				forum_id=".$data['forum_id']."&thread_id=".$data['thread_id']."'>".$data['post_subject']."</a></td>
				<td align='center' class='tbl1'><a href='".FUSION_BASE."profile.php?lookup=
				".$data['post_author']."'>".$username."</a></td>
				<td align='right' class='tbl1'>".strftime($settings['forumdate'],
				$data['post_datestamp']+($settings['timeoffset']*3600))."</td>
				</tr>\n";
			}
		}

		echo "</table>
		</td>
		</tr>
		</table><br />\n";

	} else {

		// No posts have gone unanswered
		echo "<center><br />Keine unbeantworteten Forum Beitrge vorhanden<br /><br /></center>\n";

	}

closetable();

require_once FUSION_BASE."side_right.php";
require_once FUSION_BASE."footer.php";
?>